Subject: [bug#47948] [PATCH 00/49] Towards deno.

From: Daniel Meißner <[email-masked]>
Date: Thu, 12 Oct 2023 09:40:42 +0200

Lars-Dominik Braun <[email-masked]> writes:

>> This patchset prepares to add deno.
> did you ever package deno? I’m interested in that, because the latest
> version of RStudio uses on Quarto, which depends on deno.

I am also interested in that because I would like to use Quarto on Guix.
I tried to run the binary tarball provided on their website in an FHS
container but that did not work out nicely.  When I learned that Quarto
needs Deno I stopped my packaging attempt because of the shear number of
required packages.  If more people are interested in deno, we could
probably split the work.

WDYT?

However, there's dart-sass that is bundled in the Quarto binary tarball
which is a whole other level since there’s no Dart toolchain in Guix so
packaging dart-sass is even more difficult I would think.

-- 
Daniel